#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EStoreBrowseFilterFailure {
    None = 0,
    Redundant = 10,
    NotPreferred = 20,
    NotInterested = 30,
    UnwantedContent = 40,
    Unavailable = 50,
}

impl EStoreBrowseFilterFailure {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::None as i32 => Some(Self::None),
            x if x == Self::Redundant as i32 => Some(Self::Redundant),
            x if x == Self::NotPreferred as i32 => Some(Self::NotPreferred),
            x if x == Self::NotInterested as i32 => Some(Self::NotInterested),
            x if x == Self::UnwantedContent as i32 => Some(Self::UnwantedContent),
            x if x == Self::Unavailable as i32 => Some(Self::Unavailable),
            _ => None,
        }
    }
}
